import{s as ks,n as Js,o as Rs}from"../chunks/scheduler.bdbef820.js";import{S as Zs,i as Xs,g as p,s as n,r as o,A as Gs,h as i,f as t,c as l,j as vs,u as d,x as r,k as Ts,y as Is,a as e,v as c,d as h,t as g,w as f}from"../chunks/index.c0aea24a.js";import{H as hs,g as Cs}from"../chunks/Heading.007cc5b6.js";import{C as W}from"../chunks/CodeBlock.6ccca92e.js";function Us(gs){let m,B,L,H,u,q,j,fs='Finding high-quality datasets that are reproducible and accessible can be difficult. One of 🤗 Datasets main goals is to provide a simple way to load a dataset of any format or type. The easiest way to get started is to discover an existing dataset on the <a href="https://huggingface.co/datasets" rel="nofollow">Hugging Face Hub</a> - a community-driven collection of datasets for tasks in NLP, computer vision, and audio - and use 🤗 Datasets to download and generate the dataset.',P,w,ms='This tutorial uses the <a href="https://huggingface.co/datasets/rotten_tomatoes" rel="nofollow">rotten_tomatoes</a> and <a href="https://huggingface.co/datasets/PolyAI/minds14" rel="nofollow">MInDS-14</a> datasets, but feel free to load any dataset you want and follow along. Head over to the Hub now and find a dataset for your task!',D,x,S,_,us='Before you take the time to download a dataset, it’s often helpful to quickly get some general information about a dataset. A dataset’s information is stored inside <a href="/docs/datasets/v2.15.0/en/package_reference/main_classes#datasets.DatasetInfo">DatasetInfo</a> and can include information such as the dataset description, features, and dataset size.',N,y,js='Use the <a href="/docs/datasets/v2.15.0/en/package_reference/loading_methods#datasets.load_dataset_builder">load_dataset_builder()</a> function to load a dataset builder and inspect a dataset’s attributes without committing to downloading it:',E,b,V,$,ws='If you’re happy with the dataset, then load it with <a href="/docs/datasets/v2.15.0/en/package_reference/loading_methods#datasets.load_dataset">load_dataset()</a>:',Q,M,A,v,K,T,xs='A split is a specific subset of a dataset like <code>train</code> and <code>test</code>. List a dataset’s split names with the <a href="/docs/datasets/v2.15.0/en/package_reference/loading_methods#datasets.get_dataset_split_names">get_dataset_split_names()</a> function:',O,k,ss,J,_s='Then you can load a specific split with the <code>split</code> parameter. Loading a dataset <code>split</code> returns a <a href="/docs/datasets/v2.15.0/en/package_reference/main_classes#datasets.Dataset">Dataset</a> object:',as,R,ts,Z,ys='If you don’t specify a <code>split</code>, 🤗 Datasets returns a <a href="/docs/datasets/v2.15.0/en/package_reference/main_classes#datasets.DatasetDict">DatasetDict</a> object instead:',es,X,ns,G,ls,I,bs='Some datasets contain several sub-datasets. For example, the <a href="https://huggingface.co/datasets/PolyAI/minds14" rel="nofollow">MInDS-14</a> dataset has several sub-datasets, each one containing audio data in a different language. These sub-datasets are known as <em>configurations</em>, and you must explicitly select one when loading the dataset. If you don’t provide a configuration name, 🤗 Datasets will raise a <code>ValueError</code> and remind you to choose a configuration.',ps,C,$s='Use the <a href="/docs/datasets/v2.15.0/en/package_reference/loading_methods#datasets.get_dataset_config_names">get_dataset_config_names()</a> function to retrieve a list of all the possible configurations available to your dataset:',is,U,os,z,Ms="Then load the configuration you want:",ds,F,rs,Y,cs;return u=new hs({props:{title:"Load a dataset from the Hub",local:"load-a-dataset-from-the-hub",headingTag:"h1"}}),x=new hs({props:{title:"Load a dataset",local:"load-a-dataset",headingTag:"h2"}}),b=new W({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0X2J1aWxkZXIlMEFkc19idWlsZGVyJTIwJTNEJTIwbG9hZF9kYXRhc2V0X2J1aWxkZXIoJTIycm90dGVuX3RvbWF0b2VzJTIyKSUwQSUwQWRzX2J1aWxkZXIuaW5mby5kZXNjcmlwdGlvbiUwQSUwQWRzX2J1aWxkZXIuaW5mby5mZWF0dXJlcw==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder = load_dataset_builder(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>)

<span class="hljs-comment"># Inspect dataset description</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder.info.description
Movie Review Dataset. This <span class="hljs-keyword">is</span> a dataset of containing <span class="hljs-number">5</span>,<span class="hljs-number">331</span> positive <span class="hljs-keyword">and</span> <span class="hljs-number">5</span>,<span class="hljs-number">331</span> negative processed sentences <span class="hljs-keyword">from</span> Rotten Tomatoes movie reviews. This data was first used <span class="hljs-keyword">in</span> Bo Pang <span class="hljs-keyword">and</span> Lillian Lee, \`\`Seeing stars: Exploiting <span class="hljs-keyword">class</span> <span class="hljs-title class_">relationships</span> <span class="hljs-keyword">for</span> sentiment categorization <span class="hljs-keyword">with</span> respect to rating scales.<span class="hljs-string">&#x27;&#x27;</span>, Proceedings of the ACL, <span class="hljs-number">2005.</span>

<span class="hljs-comment"># Inspect dataset features</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder.info.features
{<span class="hljs-string">&#x27;label&#x27;</span>: ClassLabel(num_classes=<span class="hljs-number">2</span>, names=[<span class="hljs-string">&#x27;neg&#x27;</span>, <span class="hljs-string">&#x27;pos&#x27;</span>], <span class="hljs-built_in">id</span>=<span class="hljs-literal">None</span>),
 <span class="hljs-string">&#x27;text&#x27;</span>: Value(dtype=<span class="hljs-string">&#x27;string&#x27;</span>, <span class="hljs-built_in">id</span>=<span class="hljs-literal">None</span>)}`,wrap:!1}}),M=new W({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJyb3R0ZW5fdG9tYXRvZXMlMjIlMkMlMjBzcGxpdCUzRCUyMnRyYWluJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)`,wrap:!1}}),v=new hs({props:{title:"Splits",local:"splits",headingTag:"h2"}}),k=new W({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwZ2V0X2RhdGFzZXRfc3BsaXRfbmFtZXMlMEElMEFnZXRfZGF0YXNldF9zcGxpdF9uYW1lcyglMjJyb3R0ZW5fdG9tYXRvZXMlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_split_names

<span class="hljs-meta">&gt;&gt;&gt; </span>get_dataset_split_names(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>)
[<span class="hljs-string">&#x27;train&#x27;</span>, <span class="hljs-string">&#x27;validation&#x27;</span>, <span class="hljs-string">&#x27;test&#x27;</span>]`,wrap:!1}}),R=new W({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJyb3R0ZW5fdG9tYXRvZXMlMjIlMkMlMjBzcGxpdCUzRCUyMnRyYWluJTIyKSUwQWRhdGFzZXQ=",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset
Dataset({
    features: [<span class="hljs-string">&#x27;text&#x27;</span>, <span class="hljs-string">&#x27;label&#x27;</span>],
    num_rows: <span class="hljs-number">8530</span>
})`,wrap:!1}}),X=new W({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBZGF0YXNldCUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJyb3R0ZW5fdG9tYXRvZXMlMjIp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;rotten_tomatoes&quot;</span>)
DatasetDict({
    train: Dataset({
        features: [<span class="hljs-string">&#x27;text&#x27;</span>, <span class="hljs-string">&#x27;label&#x27;</span>],
        num_rows: <span class="hljs-number">8530</span>
    })
    validation: Dataset({
        features: [<span class="hljs-string">&#x27;text&#x27;</span>, <span class="hljs-string">&#x27;label&#x27;</span>],
        num_rows: <span class="hljs-number">1066</span>
    })
    test: Dataset({
        features: [<span class="hljs-string">&#x27;text&#x27;</span>, <span class="hljs-string">&#x27;label&#x27;</span>],
        num_rows: <span class="hljs-number">1066</span>
    })
})`,wrap:!1}}),G=new hs({props:{title:"Configurations",local:"configurations",headingTag:"h2"}}),U=new W({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwZ2V0X2RhdGFzZXRfY29uZmlnX25hbWVzJTBBJTBBY29uZmlncyUyMCUzRCUyMGdldF9kYXRhc2V0X2NvbmZpZ19uYW1lcyglMjJQb2x5QUklMkZtaW5kczE0JTIyKSUwQXByaW50KGNvbmZpZ3Mp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_config_names

<span class="hljs-meta">&gt;&gt;&gt; </span>configs = get_dataset_config_names(<span class="hljs-string">&quot;PolyAI/minds14&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(configs)
[<span class="hljs-string">&#x27;cs-CZ&#x27;</span>, <span class="hljs-string">&#x27;de-DE&#x27;</span>, <span class="hljs-string">&#x27;en-AU&#x27;</span>, <span class="hljs-string">&#x27;en-GB&#x27;</span>, <span class="hljs-string">&#x27;en-US&#x27;</span>, <span class="hljs-string">&#x27;es-ES&#x27;</span>, <span class="hljs-string">&#x27;fr-FR&#x27;</span>, <span class="hljs-string">&#x27;it-IT&#x27;</span>, <span class="hljs-string">&#x27;ko-KR&#x27;</span>, <span class="hljs-string">&#x27;nl-NL&#x27;</span>, <span class="hljs-string">&#x27;pl-PL&#x27;</span>, <span class="hljs-string">&#x27;pt-PT&#x27;</span>, <span class="hljs-string">&#x27;ru-RU&#x27;</span>, <span class="hljs-string">&#x27;zh-CN&#x27;</span>, <span class="hljs-string">&#x27;all&#x27;</span>]`,wrap:!1}}),F=new W({props:{code:"ZnJvbSUyMGRhdGFzZXRzJTIwaW1wb3J0JTIwbG9hZF9kYXRhc2V0JTBBJTBBbWluZHNGUiUyMCUzRCUyMGxvYWRfZGF0YXNldCglMjJQb2x5QUklMkZtaW5kczE0JTIyJTJDJTIwJTIyZnItRlIlMjIlMkMlMjBzcGxpdCUzRCUyMnRyYWluJTIyKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>mindsFR = load_dataset(<span class="hljs-string">&quot;PolyAI/minds14&quot;</span>, <span class="hljs-string">&quot;fr-FR&quot;</span>, split=<span class="hljs-string">&quot;train&quot;</span>)`,wrap:!1}}),{c(){m=p("meta"),B=n(),L=p("p"),H=n(),o(u.$$.fragment),q=n(),j=p("p"),j.innerHTML=fs,P=n(),w=p("p"),w.innerHTML=ms,D=n(),o(x.$$.fragment),S=n(),_=p("p"),_.innerHTML=us,N=n(),y=p("p"),y.innerHTML=js,E=n(),o(b.$$.fragment),V=n(),$=p("p"),$.innerHTML=ws,Q=n(),o(M.$$.fragment),A=n(),o(v.$$.fragment),K=n(),T=p("p"),T.innerHTML=xs,O=n(),o(k.$$.fragment),ss=n(),J=p("p"),J.innerHTML=_s,as=n(),o(R.$$.fragment),ts=n(),Z=p("p"),Z.innerHTML=ys,es=n(),o(X.$$.fragment),ns=n(),o(G.$$.fragment),ls=n(),I=p("p"),I.innerHTML=bs,ps=n(),C=p("p"),C.innerHTML=$s,is=n(),o(U.$$.fragment),os=n(),z=p("p"),z.textContent=Ms,ds=n(),o(F.$$.fragment),rs=n(),Y=p("p"),this.h()},l(s){const a=Gs("svelte-u9bgzb",document.head);m=i(a,"META",{name:!0,content:!0}),a.forEach(t),B=l(s),L=i(s,"P",{}),vs(L).forEach(t),H=l(s),d(u.$$.fragment,s),q=l(s),j=i(s,"P",{"data-svelte-h":!0}),r(j)!=="svelte-9qr6ee"&&(j.innerHTML=fs),P=l(s),w=i(s,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1nd3fhb"&&(w.innerHTML=ms),D=l(s),d(x.$$.fragment,s),S=l(s),_=i(s,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1h023wv"&&(_.innerHTML=us),N=l(s),y=i(s,"P",{"data-svelte-h":!0}),r(y)!=="svelte-un2n67"&&(y.innerHTML=js),E=l(s),d(b.$$.fragment,s),V=l(s),$=i(s,"P",{"data-svelte-h":!0}),r($)!=="svelte-1gryif3"&&($.innerHTML=ws),Q=l(s),d(M.$$.fragment,s),A=l(s),d(v.$$.fragment,s),K=l(s),T=i(s,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1hjz9x0"&&(T.innerHTML=xs),O=l(s),d(k.$$.fragment,s),ss=l(s),J=i(s,"P",{"data-svelte-h":!0}),r(J)!=="svelte-chij93"&&(J.innerHTML=_s),as=l(s),d(R.$$.fragment,s),ts=l(s),Z=i(s,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-1yls5u4"&&(Z.innerHTML=ys),es=l(s),d(X.$$.fragment,s),ns=l(s),d(G.$$.fragment,s),ls=l(s),I=i(s,"P",{"data-svelte-h":!0}),r(I)!=="svelte-r92fav"&&(I.innerHTML=bs),ps=l(s),C=i(s,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1p483j8"&&(C.innerHTML=$s),is=l(s),d(U.$$.fragment,s),os=l(s),z=i(s,"P",{"data-svelte-h":!0}),r(z)!=="svelte-avfjb"&&(z.textContent=Ms),ds=l(s),d(F.$$.fragment,s),rs=l(s),Y=i(s,"P",{}),vs(Y).forEach(t),this.h()},h(){Ts(m,"name","hf:doc:metadata"),Ts(m,"content",zs)},m(s,a){Is(document.head,m),e(s,B,a),e(s,L,a),e(s,H,a),c(u,s,a),e(s,q,a),e(s,j,a),e(s,P,a),e(s,w,a),e(s,D,a),c(x,s,a),e(s,S,a),e(s,_,a),e(s,N,a),e(s,y,a),e(s,E,a),c(b,s,a),e(s,V,a),e(s,$,a),e(s,Q,a),c(M,s,a),e(s,A,a),c(v,s,a),e(s,K,a),e(s,T,a),e(s,O,a),c(k,s,a),e(s,ss,a),e(s,J,a),e(s,as,a),c(R,s,a),e(s,ts,a),e(s,Z,a),e(s,es,a),c(X,s,a),e(s,ns,a),c(G,s,a),e(s,ls,a),e(s,I,a),e(s,ps,a),e(s,C,a),e(s,is,a),c(U,s,a),e(s,os,a),e(s,z,a),e(s,ds,a),c(F,s,a),e(s,rs,a),e(s,Y,a),cs=!0},p:Js,i(s){cs||(h(u.$$.fragment,s),h(x.$$.fragment,s),h(b.$$.fragment,s),h(M.$$.fragment,s),h(v.$$.fragment,s),h(k.$$.fragment,s),h(R.$$.fragment,s),h(X.$$.fragment,s),h(G.$$.fragment,s),h(U.$$.fragment,s),h(F.$$.fragment,s),cs=!0)},o(s){g(u.$$.fragment,s),g(x.$$.fragment,s),g(b.$$.fragment,s),g(M.$$.fragment,s),g(v.$$.fragment,s),g(k.$$.fragment,s),g(R.$$.fragment,s),g(X.$$.fragment,s),g(G.$$.fragment,s),g(U.$$.fragment,s),g(F.$$.fragment,s),cs=!1},d(s){s&&(t(B),t(L),t(H),t(q),t(j),t(P),t(w),t(D),t(S),t(_),t(N),t(y),t(E),t(V),t($),t(Q),t(A),t(K),t(T),t(O),t(ss),t(J),t(as),t(ts),t(Z),t(es),t(ns),t(ls),t(I),t(ps),t(C),t(is),t(os),t(z),t(ds),t(rs),t(Y)),t(m),f(u,s),f(x,s),f(b,s),f(M,s),f(v,s),f(k,s),f(R,s),f(X,s),f(G,s),f(U,s),f(F,s)}}}const zs='{"title":"Load a dataset from the Hub","local":"load-a-dataset-from-the-hub","sections":[{"title":"Load a dataset","local":"load-a-dataset","sections":[],"depth":2},{"title":"Splits","local":"splits","sections":[],"depth":2},{"title":"Configurations","local":"configurations","sections":[],"depth":2}],"depth":1}';function Fs(gs){return Rs(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=Cs}),[]}class Hs extends Zs{constructor(m){super(),Xs(this,m,Fs,Us,ks,{})}}export{Hs as component};
